<template>
    <Layout>
        <q-page class="q-mb-lg">

            <Header />

            <div class="q-pa-md shadow-1 flex flex-center">
                <div :style="{ width: $q.platform.is.desktop ? '80vw' : '100vw' }">
                    <SchedulesHours />
                </div>
            </div>

            <div class="flex flex-center full-width shadow-1 bg-grey-8">
                <div :style="{ width: $q.platform.is.desktop ? '80vw' : '100vw' }">
                    <div class="scrollmenu">
                        <a
                            v-for="(label, index) in groupsLabels" :key="index"
                            :href="`#${label.split(' ').join('')}`" v-smooth-scroll
                            class="text-uppercase text-white">{{ label }}
                        </a>
                    </div>
                </div>
            </div>

            <div v-show="canShowDestaques" class="flex flex-center">
                <div :style="{ width: $q.platform.is.desktop ? '80vw' : '100vw' }">
                    <Destaques @no-data="noDataDestaques"/>
                </div>
            </div>

            <div v-show="canShowGroups" class="flex flex-center">
                <div :style="{ width: $q.platform.is.desktop ? '80vw' : '100vw' }">
                    <Group_products @no-data="noDataGroups"/>
                </div>
            </div>

            <div v-if="!canShowDestaques && !canShowGroups" class="q-pa-md flex flex-center">
                <div class="text-center text-dark" :style="{ width: $q.platform.is.desktop ? '80vw' : '100vw' }">
                    <q-img class="q-mt-lt" src="/img/preparing.gif" width="100px"></q-img>
                    <p class="q-ma-none" :class="[$q.platform.is.desktop ? 'text-h6' : '']">Nenhum item foi encontrado.</p>
                    <p class="q-ma-none" :class="[$q.platform.is.desktop ? 'text-h6' : '']">Mas temos outras opções, continue procurando...</p>
                </div>
            </div>

            <!-- place QPageScroller at end of page -->
            <q-page-scroller position="bottom-right" :scroll-offset="150" :offset="[18, 18]">
                <q-btn fab icon="arrow_upward" color="primary" text-color="text-dark"/>
            </q-page-scroller>
        </q-page>
    </Layout>
</template>

<script setup>
import {ref, watch} from 'vue';
import Layout from "../layouts/MainLayout.vue";
import { Group_products, Destaques, Header, SchedulesHours } from "../components";
import {useGroupButtons} from "../stories/groupButtons";

const canShowDestaques = ref(true);
const canShowGroups = ref(true);
const groupButtons = useGroupButtons();
const groupsLabels = ref(['']);

watch(() => groupButtons.groupButtons, (newValue) => {
    groupsLabels.value = newValue
},{ deep: true, immediate: true })
function noDataDestaques (value) {
    canShowDestaques.value = !value;
}
function noDataGroups (value) {
    canShowGroups.value = !value;
}
</script>

<style scoped>
div.scrollmenu {
    overflow: auto;
    white-space: nowrap;
}
div.scrollmenu a {
    display: inline-block;
    text-align: center;
    padding: 14px;
    text-decoration: none;
}

div.scrollmenu a:hover {
    background-color: #777;
}
</style>
